Subject: Re: ln and links
From: [email-masked] (Jim Balter)

24 Jan 1997 23:36:09 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <c=US%a=_%p=OrCAD%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ron Forrester <[email-masked]>
Original-CC: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Ron Forrester wrote:
> 
> Using b17.1 on Windows NT 4.0 SP2, with a FAT drive, if I am in /usr/rjf
> and there is a directory /pub, and I issue the command:
> 
> ln -s /pub
> 
> I get what looks to be a link in /usr/rjf, i.e. ls reports pub->/pub.
> 
> However, when I attempt to cd into /usr/rjf/pub, I get:
> 
> bash.exe: pub: Not owner
> 
> while doing cd /pub works fine.
> 
> I haven't really worked with links much, so perhaps I am missing
> someting?

I believe the release notes mention that symlinks to directories
don't work, nor can you execute symlinks to executables.
(This is kinda too bad, since 99% of the power of symlinks, and the
reason they were invented, is directory links).

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".